net.minecraftforge.event

## Class AnvilUpdateEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.AnvilUpdateEvent

-     public class AnvilUpdateEvent
      extends Event

  AnvilUpdateEvent is fired when a player places items in both the left and right slots of a anvil. If the event is canceled, vanilla behavior will not run, and the output will be set to null. If the event is not canceled, but the output is not null, it will set the output and not run vanilla behavior. if the output is null, and the event is not canceled, vanilla behavior will execute.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cost`
    `ItemStack` | `left`
    `java.lang.String` | `name`
    `ItemStack` | `output`
    `ItemStack` | `right`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnvilUpdateEvent(ItemStack left, ItemStack right, java.lang.String name, int cost)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### left

          public final ItemStack left

    - #### right

          public final ItemStack right

    - #### name

          public final java.lang.String name

    - #### output

          public ItemStack output

    - #### cost

          public int cost

  - ### Constructor Detail

    - #### AnvilUpdateEvent

          public AnvilUpdateEvent(ItemStack left,
                          ItemStack right,
                          java.lang.String name,
                          int cost)